Package org.kie.internal.jaxb

# Class StringKeyObjectValueMapXmlAdapter

java.lang.Object
jakarta.xml.bind.annotation.adapters.XmlAdapter<StringKeyObjectValueMap,Map<String,Object>>
org.kie.internal.jaxb.StringKeyObjectValueMapXmlAdapter

public class StringKeyObjectValueMapXmlAdapter extends jakarta.xml.bind.annotation.adapters.XmlAdapter<StringKeyObjectValueMap,Map<String,Object>>
This is a `XmlAdapter` for mapping Map<String, Object> instances to classes/instances that both JAXB/XML and JSON can deal with.

The most important reason for the existence of this class is that it works well with jackson JSON! JaxbMapAdapter, on the other hand, does not!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringKeyObjectValueMapXmlAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `deserializeObject(byte[] objBytes, String className, String key)`
  `StringKeyObjectValueMap`
  `marshal(Map<String,Object> map)`
  `static byte[]`
  `serializeObject(Object obj, String key)`
  `Map<String,Object>`
  `unmarshal(StringKeyObjectValueMap xmlMap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringKeyObjectValueMapXmlAdapter

    public StringKeyObjectValueMapXmlAdapter()

- ## Method Details

  - ### marshal

    public StringKeyObjectValueMap marshal(Map<String,Object> map) throws Exception
    Specified by:
      `marshal` in class `jakarta.xml.bind.annotation.adapters.XmlAdapter<StringKeyObjectValueMap,Map<String,Object>>`
    Throws:
      `Exception`

  - ### serializeObject

    public static byte[] serializeObject(Object obj, String key)

  - ### unmarshal

    public Map<String,Object> unmarshal(StringKeyObjectValueMap xmlMap)
    Specified by:
      `unmarshal` in class `jakarta.xml.bind.annotation.adapters.XmlAdapter<StringKeyObjectValueMap,Map<String,Object>>`

  - ### deserializeObject

    public static Object deserializeObject(byte[] objBytes, String className, String key)